Get Order Fills
curl --request GET \
--url https://api.parlayx.com/v1/polymarket/orders/{orderId}/fills \
--header 'PX-Content-Sha256: <px-content-sha256>' \
--header 'PX-Key-Id: <px-key-id>' \
--header 'PX-Signature: <px-signature>' \
--header 'PX-Timestamp: <px-timestamp>'import requests
url = "https://api.parlayx.com/v1/polymarket/orders/{orderId}/fills"
headers = {
"PX-Key-Id": "<px-key-id>",
"PX-Timestamp": "<px-timestamp>",
"PX-Signature": "<px-signature>",
"PX-Content-Sha256": "<px-content-sha256>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'PX-Key-Id': '<px-key-id>',
'PX-Timestamp': '<px-timestamp>',
'PX-Signature': '<px-signature>',
'PX-Content-Sha256': '<px-content-sha256>'
}
};
fetch('https://api.parlayx.com/v1/polymarket/orders/{orderId}/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fills": [
{
"fillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderId": "3f8b2c9a-2d18-4f7e-9c2a-1b6e1f0c8a4d",
"venueFillId": "<string>",
"shares": "<string>",
"price": "<string>",
"feeUsd": "<string>",
"occurredAt": "<string>"
}
]
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Polymarket
Get Order Fills
Returns the fills recorded for a Polymarket order.
GET
/
v1
/
polymarket
/
orders
/
{orderId}
/
fills
Get Order Fills
Headers
The key id issued for your signing keypair.
Unix seconds at signing, valid within 30 seconds of the server clock.
Ed25519 signature of the request
Hex SHA-256 of the request body, or the SHA-256 of the empty string when there is no body.
Path Parameters
Issued order id.
Example:
"3f8b2c9a-2d18-4f7e-9c2a-1b6e1f0c8a4d"
Response
Fills found
Fills recorded for the order, oldest first.
Show child attributes
Show child attributes